io.agora.rtc

## Enum Constants.AgoraAudioProcessorEventType

- java.lang.Object
- - java.lang.Enum<Constants.AgoraAudioProcessorEventType>
  - - io.agora.rtc.Constants.AgoraAudioProcessorEventType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AgoraAudioProcessorEventType>
  Enclosing class:
    Constants

      public static enum Constants.AgoraAudioProcessorEventType
      extends java.lang.Enum<Constants.AgoraAudioProcessorEventType>

  The event code of Agora uplink audio processing library. Agora reports critical runtime events or errors happened during audio processing. The app should handle these events properly.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `KAEC_MALFUNCTION` kAecMalfunction: The AEC breaks down.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the Agora audio processor event type

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AgoraAudioProcessorEventType` | `fromInt(int value)` Converts an integer value to its corresponding AgoraAudioProcessingEventType enum constant.
    `int` | `getValue()` Gets the integer value of the AgoraAudioProcessingEventType.
    `static Constants.AgoraAudioProcessorEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AgoraAudioProcessorEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KAEC_MALFUNCTION

          public static final Constants.AgoraAudioProcessorEventType KAEC_MALFUNCTION

      kAecMalfunction: The AEC breaks down. The app should call AgoraAudioProcessing::Reset asynchronously to handle this event. See #AgoraAudioProcessing::Reset.

  - ### Field Detail

    - #### value

          private final int value

      Integer value of the Agora audio processor event type

  - ### Method Detail

    - #### values

          public static Constants.AgoraAudioProcessorEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AgoraAudioProcessorEventType c : Constants.AgoraAudioProcessorEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AgoraAudioProcessorEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value of the AgoraAudioProcessingEventType.
      Returns:
        The integer value.

    - #### fromInt

          public static Constants.AgoraAudioProcessorEventType fromInt(int value)

      Converts an integer value to its corresponding AgoraAudioProcessingEventType enum constant.
      Parameters:
        `value` - The integer value.
      Returns:
        The corresponding AgoraAudioProcessingEventType, or null if the value is not found.